Package com.arms.api.analysis.scope.controller

## Class ScopeController

- java.lang.Object
- - com.arms.api.analysis.scope.controller.ScopeController

-     @RestController
      @RequestMapping("/admin/arms/analysis/scope")
      public class ScopeController
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScopeController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<?>` | `countByVersionNames​(java.lang.String changeReqTableName, ScopeDTO scopeDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `getCircularPackingChartData​(java.lang.String changeReqTableName, ScopeDTO scopeDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<ReqDataTableIssuesVO>>` | `getDataTableIssues​(java.lang.Long pdServiceId, java.util.List<java.lang.Long> pdServiceVersionLink, java.lang.String startDate, java.lang.String endDate)` |
    `org.springframework.http.ResponseEntity<?>` | `getNetworkChartExcelDataVO​(ScopeDTO scopeDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<TreeNodeVO>>` | `getReqNetworkFilterData​(java.lang.String changeReqTableName, java.lang.Long pdServiceId, java.util.List<java.lang.Long> pdServiceVersionLink)` |
    `org.springframework.http.ResponseEntity<NetworkChartVO>` | `getReqNetworkFullData​(java.lang.String changeReqTableName, ScopeDTO scopeDTO)` |
    `org.springframework.http.ResponseEntity<NetworkChartVO>` | `getReqNetworkIssueData​(java.lang.String changeReqTableName, ScopeDTO scopeDTO)` |
    `org.springframework.http.ResponseEntity<NetworkChartVO>` | `getReqNetworkVersionData​(java.lang.String changeReqTableName, ScopeDTO scopeDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<ReqAddWithPropertyVO>>` | `reqAddWithPropertyListPerVersion​(java.lang.String changeReqTableName, java.lang.Long pdServiceId, java.util.List<java.lang.Long> pdServiceVersionLink)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<TreeBarVO>>>` | `reqTreeBarData​(ScopeDTO scopeDTO)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScopeController

          public ScopeController()

  - ### Method Detail

    - #### getReqNetworkFullData

          @PostMapping("/{changeReqTableName}/issue-network")
          public org.springframework.http.ResponseEntity<NetworkChartVO> getReqNetworkFullData​(@PathVariable("changeReqTableName")
                                                                                               java.lang.String changeReqTableName,
                                                                                               @RequestBody
                                                                                               ScopeDTO scopeDTO)
                                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getReqNetworkVersionData

          @PostMapping("/getReqNetworkVersionData/{changeReqTableName}/getReqAddListByFilter")
          public org.springframework.http.ResponseEntity<NetworkChartVO> getReqNetworkVersionData​(@PathVariable("changeReqTableName")
                                                                                                  java.lang.String changeReqTableName,
                                                                                                  @RequestBody
                                                                                                  ScopeDTO scopeDTO)
                                                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getReqNetworkIssueData

          @PostMapping("/getReqNetworkIssueData/{changeReqTableName}/getReqAddListByFilter")
          public org.springframework.http.ResponseEntity<NetworkChartVO> getReqNetworkIssueData​(@PathVariable("changeReqTableName")
                                                                                                java.lang.String changeReqTableName,
                                                                                                @RequestBody
                                                                                                ScopeDTO scopeDTO)
                                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getReqNetworkFilterData

          @GetMapping("/getReqNetworkFilterData/{changeReqTableName}/getReqAddListByFilter")
          public org.springframework.http.ResponseEntity<java.util.List<TreeNodeVO>> getReqNetworkFilterData​(@PathVariable("changeReqTableName")
                                                                                                             java.lang.String changeReqTableName,
                                                                                                             @RequestParam("pdServiceId")
                                                                                                             java.lang.Long pdServiceId,
                                                                                                             @RequestParam("pdServiceVersionLinks")
                                                                                                             java.util.List<java.lang.Long> pdServiceVersionLink)
                                                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### countByVersionNames

          @PostMapping("/req-per-version/{changeReqTableName}/getReqAddListByFilter")
          public org.springframework.http.ResponseEntity<?> countByVersionNames​(@PathVariable("changeReqTableName")
                                                                                java.lang.String changeReqTableName,
                                                                                @RequestBody
                                                                                ScopeDTO scopeDTO)
                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### reqAddWithPropertyListPerVersion

          @GetMapping("/{changeReqTableName}/req-property-list")
          public org.springframework.http.ResponseEntity<java.util.List<ReqAddWithPropertyVO>> reqAddWithPropertyListPerVersion​(@PathVariable("changeReqTableName")
                                                                                                                                java.lang.String changeReqTableName,
                                                                                                                                @RequestParam("pdServiceId")
                                                                                                                                java.lang.Long pdServiceId,
                                                                                                                                @RequestParam("pdServiceVersionLinks")
                                                                                                                                java.util.List<java.lang.Long> pdServiceVersionLink)
                                                                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getDataTableIssues

          @GetMapping("/getDataTableIssues")
          public org.springframework.http.ResponseEntity<java.util.List<ReqDataTableIssuesVO>> getDataTableIssues​(@RequestParam("pdServiceId")
                                                                                                                  java.lang.Long pdServiceId,
                                                                                                                  @RequestParam("pdServiceVersionLinks")
                                                                                                                  java.util.List<java.lang.Long> pdServiceVersionLink,
                                                                                                                  @RequestParam("startDate")
                                                                                                                  java.lang.String startDate,
                                                                                                                  @RequestParam("endDate")
                                                                                                                  java.lang.String endDate)
                                                                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getCircularPackingChartData

          @PostMapping("/getCircularPackingChartData/{changeReqTableName}/getReqAddListByFilter")
          public org.springframework.http.ResponseEntity<?> getCircularPackingChartData​(@PathVariable("changeReqTableName")
                                                                                        java.lang.String changeReqTableName,
                                                                                        @RequestBody
                                                                                        ScopeDTO scopeDTO)
                                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### reqTreeBarData

          @PostMapping("/tree-bar-data")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<TreeBarVO>>> reqTreeBarData​(@RequestBody
                                                                                                                             ScopeDTO scopeDTO)
                                                                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getNetworkChartExcelDataVO

          @PostMapping("/getNetworkChartExcelData")
          public org.springframework.http.ResponseEntity<?> getNetworkChartExcelDataVO​(@RequestBody
                                                                                       ScopeDTO scopeDTO)
                                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`